---
title: Multiplication (*)
slug: Web/JavaScript/Reference/Operators/Multiplication
tags:
  - JavaScript
  - Language feature
  - Operator
  - Reference
---
<div>{{jsSidebar("Operators")}}</div>

<p>The multiplication operator (<code>*</code>) produces the product of the operands.</p>

<div>{{EmbedInteractiveExample("pages/js/expressions-multiplication.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><strong>Operator:</strong> <var>x</var> * <var>y</var>
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Multiplication_using_numbers">Multiplication using numbers</h3>

<pre class="brush: js notranslate"> 2 * 2      // 4
-2 * 2     // -4
</pre>

<h3 id="Multiplication_with_Infinity">Multiplication with Infinity</h3>

<pre class="brush: js notranslate">Infinity * 0         // NaN
Infinity * Infinity  // Infinity</pre>

<h3 id="Multiplication_with_non-numbers">Multiplication with non-numbers</h3>

<pre class="brush: js notranslate">'foo' * 2 // NaN</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-multiplicative-operators', 'Multiplication operator')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.operators.multiplication")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Addition">Addition operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Subtraction">Subtraction operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Division">Division operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Remainder">Remainder operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Exponentiation">Exponentiation operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Increment">Increment operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Decrement">Decrement operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Unary_negation">Unary negation operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Unary_plus">Unary plus operator</a></li>
</ul>
